Update or correct envelope recipients
Updates recipients in a draft envelope or corrects recipient information for an in process envelope.
For draft envelopes, you can edit the following properties: email, userName, routingOrder, faxNumber, deliveryMethod, accessCode, and requireIdLookup.
Once an envelope has been sent, you can only edit: email, userName, signerName, signingGroupId, routingOrder, faxNumber, and deliveryMethod. You can also select to resend an envelope by using the resend_envelope option.
If you send information for a recipient that does not already exist in a draft envelope, the recipient is added to the envelope (similar to the POST).
Authentication
OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.
Path parameters
The external account number (int) or account id GUID.
The envelope’s GUID. Eg 93be49ab-afa0-4adf-933c-f752070d71ec
Query parameters
When set to true, resends the envelope if the new recipient’s routing order is before or the same as the envelope’s next recipient.
Request
This endpoint expects an object: EnvelopeRecipients
Identifies a recipient that can, but is not required to, add name and email information for recipients at the same or subsequent level in the routing order (until subsequent Agents, Editors or Intermediaries recipient types are added).
The list of recipient event statuses that will trigger Connect to send updates to the url. It can be a two-part list with:
- recipientEventStatusCode - The recipient status, this can be Sent, Delivered, Completed, Declined, AuthenticationFailed, and AutoResponded.
- includeDocuments - When set to true, the envelope time zone information is included in the message.